Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.graph
Class VertexImageShaperDemo.DemoVertexImageShapeFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.DefaultVertexIconFunction
          edu.uci.ics.jung.graph.decorators.VertexIconAndShapeFunction
              samples.graph.VertexImageShaperDemo.DemoVertexImageShapeFunction

All Implemented Interfaces:
  VertexIconFunction, VertexShapeFunction

Enclosing class:
  VertexImageShaperDemo

public static class VertexImageShaperDemo.DemoVertexImageShapeFunction
extends VertexIconAndShapeFunction

this class exists only to provide settings to turn on/off shapes and image fill in this demo. In a real application, use VertexIconAndShapeFunction instead.

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.decorators.VertexIconAndShapeFunction
`delegate, shapeMap`

Fields inherited from class edu.uci.ics.jung.graph.decorators.DefaultVertexIconFunction
`iconMap`

Fields inherited from interface edu.uci.ics.jung.graph.decorators.VertexIconFunction
`BROKEN_IMAGE`

Constructor Summary
`VertexImageShaperDemo.DemoVertexImageShapeFunction(VertexShapeFunction delegate)`

Method Summary
`Icon` | `getIcon(ArchetypeVertex v)` Returns the `Icon` associated with `v`.
`Shape` | `getShape(Vertex v)` get the shape from the image.
`boolean` | `isFillImages()`
`boolean` | `isOutlineImages()`
`boolean` | `isShapeImages()`
`void` | `setFillImages(boolean fillImages)`
`void` | `setOutlineImages(boolean outlineImages)`
`void` | `setShapeImages(boolean shapeImages)`

Methods inherited from class edu.uci.ics.jung.graph.decorators.VertexIconAndShapeFunction
`getDelegate, setDelegate`

Methods inherited from class edu.uci.ics.jung.graph.decorators.DefaultVertexIconFunction
`getIconMap, setIconMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VertexImageShaperDemo.DemoVertexImageShapeFunction

    public VertexImageShaperDemo.DemoVertexImageShapeFunction(VertexShapeFunction delegate)

Method Detail

### isFillImages

    public boolean isFillImages()

  Returns:
    Returns the fillImages.

### setFillImages

    public void setFillImages(boolean fillImages)

  Parameters:
    `fillImages` - The fillImages to set.

### isShapeImages

    public boolean isShapeImages()

  Returns:
    Returns the shapeImages.

### setShapeImages

    public void setShapeImages(boolean shapeImages)

  Parameters:
    `shapeImages` - The shapeImages to set.

### isOutlineImages

    public boolean isOutlineImages()

### setOutlineImages

    public void setOutlineImages(boolean outlineImages)

### getShape

    public Shape getShape(Vertex v)

  Description copied from class: `VertexIconAndShapeFunction`
  get the shape from the image. If not available, get the shape from the delegate VertexShapeFunction

  Specified by:
    `getShape` in interface `VertexShapeFunction`
  Overrides:
    `getShape` in class `VertexIconAndShapeFunction`

### getIcon

    public Icon getIcon(ArchetypeVertex v)

  Description copied from class: `DefaultVertexIconFunction`
  Returns the `Icon` associated with `v`.

  Specified by:
    `getIcon` in interface `VertexIconFunction`
  Overrides:
    `getIcon` in class `DefaultVertexIconFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD